//
//  AlibcTradeShowParamsConfigViewController.m
//  NBdemo
//  Created by com.alibaba on 15/11/3.
//  Copyright © 2019 com.alibaba. All rights reserved.
//

#import "AlibcTradeShowParamsConfigViewController.h"
#import "ALiTradeSDKShareParam.h"
#import <AlibcTradeSDK/AlibcTradeSDK.h>

@interface AlibcTradeShowParamsConfigViewController ()

@property(nonatomic,assign)BOOL isFirst;

@end

@implementation AlibcTradeShowParamsConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    _isBindWebview.on = [ALiTradeSDKShareParam sharedInstance].isBindWebview;
    _isNeedPush.on = [ALiTradeSDKShareParam sharedInstance].isNeedPush;
    _isCustomerNativeFailMode.on = [ALiTradeSDKShareParam sharedInstance].isNeedCustomFailMode;
    _openType.selectedSegmentIndex = [ALiTradeSDKShareParam sharedInstance].openType;
    _openApp.selectedSegmentIndex = [ALiTradeSDKShareParam sharedInstance].linkKey;
    _nativeFailedMode.selectedSegmentIndex = [ALiTradeSDKShareParam sharedInstance].NativeFailMode;
    _degardeUrl.text = [ALiTradeSDKShareParam sharedInstance].degardeUrl;
}
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}

- (IBAction)openTypeAction:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].openType=[sender selectedSegmentIndex];
}

- (IBAction)openAppScheme:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].linkKey=[sender selectedSegmentIndex];
}

- (IBAction)isNeedPush:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].isNeedPush=[sender isOn];
}
- (IBAction)isNeedBindWebview:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].isBindWebview=[sender isOn];
}

- (IBAction)isCustomFailMode:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].isNeedCustomFailMode=[sender isOn];
}

- (IBAction)nativeFailedMode:(id)sender {
    [ALiTradeSDKShareParam sharedInstance].NativeFailMode=[sender selectedSegmentIndex];
}

- (IBAction)degardeUrlChanged:(UITextField*)sender {
     [ALiTradeSDKShareParam sharedInstance].degardeUrl = sender.text;
}

@end
