//
//  AlibcTradeTaokeParamsConfigViewController.m
//  NBdemo
//  Created by com.alibaba on 15/11/3.
//  Copyright © 2019 com.alibaba. All rights reserved.
//

#import "AlibcTradeTaokeParamsConfigViewController.h"
#import "ALiTradeSDKShareParam.h"
#import <AlibcTradeSDK/AlibcTradeSDK.h>

@interface AlibcTradeTaokeParamsConfigViewController ()

@end

@implementation AlibcTradeTaokeParamsConfigViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
}

-(void)viewDidAppear:(BOOL)animated{
    [super viewDidAppear:animated];
    _aid.text=[NSString stringWithFormat:@"%@",[[ALiTradeSDKShareParam sharedInstance].taoKeParams aliObjectForKey:@"adzoneId"]];
    _pid.text=[NSString stringWithFormat:@"%@",[[ALiTradeSDKShareParam sharedInstance].taoKeParams aliObjectForKey:@"pid"]];
    _subpid.text=[NSString stringWithFormat:@"%@",[[ALiTradeSDKShareParam sharedInstance].taoKeParams aliObjectForKey:@"subPid"]];
    _unionId.text=[NSString stringWithFormat:@"%@",[[ALiTradeSDKShareParam sharedInstance].taoKeParams aliObjectForKey:@"unionId"]];
    _extParams.text=[NSString stringWithFormat:@"%@",[[ALiTradeSDKShareParam sharedInstance].taoKeParams aliObjectForKey:@"extParams"]];
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
    [_aid resignFirstResponder];
    [_pid resignFirstResponder];
    [_subpid resignFirstResponder];
    [_unionId resignFirstResponder];
    [_extParams resignFirstResponder];
}
- (IBAction)aidChanged:(UITextField *)sender {
    _aid.text = sender.text;
    [[ALiTradeSDKShareParam sharedInstance].taoKeParams setObject:_aid.text forKey:@"adzoneId"];
}

- (IBAction)pidChanged:(UITextField *)sender {
    _pid.text = sender.text;
    [[ALiTradeSDKShareParam sharedInstance].taoKeParams setObject:_pid.text forKey:@"pid"];
}

- (IBAction)unionId:(UITextField *)sender {
    _unionId.text = sender.text;
    [[ALiTradeSDKShareParam sharedInstance].taoKeParams setObject:_unionId.text forKey:@"unionId"];
}

- (IBAction)subPidChanged:(UITextField *)sender {
    _subpid.text = sender.text;
    [[ALiTradeSDKShareParam sharedInstance].taoKeParams setObject:_subpid.text forKey:@"subPid"];
}
- (IBAction)extParams:(UITextField *)sender {
    _extParams.text = sender.text;
    [[ALiTradeSDKShareParam sharedInstance].taoKeParams setObject:_extParams.text forKey:@"extParams"];
}


@end
